SQLITE3_DB_CONFIG(3)

NAME
sqlite3_db_config - Configure database connections

SYNOPSIS
int
sqlite3_db_config(sqlite3*, int op, ...);

DESCRIPTION
The sqlite3_db_config() interface is used to make configuration changes to a database connection. The interface is similar to sqlite3_config() except that the changes apply to a single database connection (specified in the first argument).

The second argument to sqlite3_db_config(D,V,...) is the configuration verb - an integer code that indicates what aspect of the database connection is being configured. Subsequent arguments vary depending on the configuration verb.

Calls to sqlite3_db_config() return SQLITE_OK if and only if the call is considered successful.

SEE ALSO
sqlite3(3), sqlite3_config(3), SQLITE_DBCONFIG_MAINDBNAME(3)